<template>
  <v-tooltip bottom max-width="20em">
    <template v-slot:activator="{ on, attrs }">
      <v-icon color="deep-purple" dark v-bind="attrs" v-on="on">
        {{ icon }}
      </v-icon>
    </template>
    <span>
      {{ content }}
    </span>
  </v-tooltip>
</template>

<script>
export default {
  props: {
    content: {
      type: String,
      required: false,
      default:
        "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Odio urna eros, orci accumsan semper id. Bibendum orci, sollicitudin nullam vitae egestas molestie quam.",
    },
    icon: {
      type: String,
      required: false,
      default: "mdi-information-outline",
    },
  },
  data() {
    return {};
  },
  created() {},
};
</script>
